DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementWrite

Write measurement results to a file

## SYNOPSIS

`#include "dipio_measurement.h"`

dip_Error dipio_MeasurementWrite ( measurement, filename, format, labels )

## FUNCTION

This function writes measurement data to a file, overwriting any other file with the same name. Get the format ID through the registry functions. If `format` is 0, CSV is used.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_String` | `filename` | File name to write to
`dip_int` | `format` | ID of file format
`dip_Boolean` | `labels` | `DIP_TRUE` to write labels to file

## SEE ALSO

`Measure`, `MeasurementRead`, `MeasurementWriteCSV`, `MeasurementWriteHTML`, `MeasurementWriteText`

DIPlib on-line documentation | Function reference | Global function index